<?php

function capture_comment_data_and_send_api($comment_id, $comment_approved) {
    if (1 !== $comment_approved) {
        return;
    }
	$api_key = get_option('dynosend_api_key', '');
    if (!$api_key) {
        return;
    }
	$authenticated =  get_option('dynosend_authenticated', false);
	if (!$authenticated)
	{
		return;
	}
	$targetaudience =  get_option('dynosend_capture_comments_audience_uid', '');
	if (!$targetaudience)
	{
		return;
	}


    $comment = get_comment($comment_id);

    $full_name = $comment->comment_author;
    $name_parts = explode(' ', $full_name);
    $first_name = $name_parts[0];
    $last_name = isset($name_parts[1]) ? $name_parts[1] : '';
    $email = $comment->comment_author_email;

    $data = array(
        'audience_uid' => $targetaudience,
        'FIRST_NAME' => $first_name,
        'LAST_NAME'  => $last_name,
        'EMAIL'      => $email,
        'ignore_doi'      => true,
    );


    $api_url = 'https://api.dynosend.com/api/v2/contacts';

    $response = wp_remote_post($api_url, array(
        'method'    => 'POST',
        'body'      => json_encode($data),
        'headers'   => array(
            'Content-Type'  => 'application/json',
            'Authorization'  => 'Bearer ' . $api_key,
        ),
    ));


    if (is_wp_error($response)) {
        $error_message = $response->get_error_message();
    } else {
        $response_body = wp_remote_retrieve_body($response);
    }
}



add_action('comment_post', 'capture_comment_data_and_send_api', 10, 2);